AMC-prepare
Prev | Commands manual | Next

## Name

AMC-prepare — prepares working documents from LaTeX source file

## Synopsis

`auto-multiple-choice` prepare --mode s --prefix `project-dir` `mcq-source-file`

`auto-multiple-choice` prepare --mode b --data `project-data-dir` `mcq-source-file`

## Description

The AMC-prepare.pl command extracts working documents from the source file describing the multiple choice questionnaire. Information to be extracted depends on the `--mode` argument value. In any mode, the source filename must be given as an argument.

- with "`--mode s`", AMC-prepare.pl makes the subject file (answer sheet to be printed and given to the students), the correction (single corrected answer sheet) and the positions file (file containing information about the positions of the boxes on the pages). The following arguments can be used:

  `--out-sujet `subject.pdf``

    sets the subject file to build.

  `--out-corrige `corrected.pdf``

    sets the correction to build.

  `--out-calage `calage.xy``

    sets the positions file to build.

  `--prefix `directory``

    this directory is only necessary if one or more of the three previous options are not used: default values are then ``directory`/sujet.pdf`, ``directory`/corrige.pdf` and ``directory`/calage.xy`.

- with "`--mode b`", AMC-prepare.pl extracts scoring data from the source file. In this mode, the `--data` argument must be used (see below).

The following optional arguments can be used in any mode:

`--with `latex-engine``

  gives the LaTeX engine (command) to be used. `latex-engine` can be pdflatex or xelatex for example.

`--filter `filter``

  sets the filter name to transform the MCQ source file into a LaTeX file. Native filters are `latex` (no change at all) and `plain` (source is an AMC-TXT file).

`--filtered-source `mcq-latex-file``

  gives the LaTeX file to make from the source file using specified filter. If omitted, a filename derived from `mcq-source-file` adding `_filtered.tex` is used.

`--n-copies `n``

  sets the number of copies to produce, overriding the number given in the LaTeX source file (first argument of the \onecopy command).

`--debug `file.log``

  gives a file to fill with debugging information.

`--epoch `EPOCH``

  gives an epoch (number of seconds since january 1, 1970) to get a reproducible pdf output.

`--data `project-data-dir``

  sets the directory where the project's SQLite data files are.

Prev | Up | Next
auto-multiple-choice | Home | AMC-meptex